Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsa.v200408
Class WSAHandler

    java.lang.Object
      com.atomikos.icatch.jaxb.wsa.v200408.WSAHandler

All Implemented Interfaces:
  javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

    public class WSAHandler

extends Object
implements javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

Constructor Summary
`WSAHandler()`

Method Summary
`static void` | `addWSAHandler(javax.xml.ws.Endpoint endpoint)`
`void` | `close(javax.xml.ws.handler.MessageContext ct)`
`Set<QName>` | `getHeaders()`
`boolean` | `handleFault(javax.xml.ws.handler.soap.SOAPMessageContext ctx)`
`boolean` | `handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSAHandler

    public WSAHandler()

Method Detail

### getHeaders

    public Set<QName> getHeaders()

  Specified by:
    `getHeaders` in interface `javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>`

### close

    public void close(javax.xml.ws.handler.MessageContext ct)

  Specified by:
    `close` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

### handleFault

    public boolean handleFault(javax.xml.ws.handler.soap.SOAPMessageContext ctx)

  Specified by:
    `handleFault` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

### handleMessage

    public boolean handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext ctx)

  Specified by:
    `handleMessage` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

### addWSAHandler

    public static void addWSAHandler(javax.xml.ws.Endpoint endpoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.